package com.gingersoft.gsa.cloud.table.mvp.model.bean;

import android.graphics.Color;


/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2020-01-19
 * 修订历史：2020-01-19
 * 描述：
 */
public class BillOrderMoney {

    private String title;
    private double money;

    private int textSize;
    private int textColor = Color.parseColor("#000000");
    private int bgColor;

    //已送單的整單明細item id
    private int payId = -1;
    //會員使用狀態（用户点击清除了会员信息,也需要将会员信息传给后台将status = false）
    private boolean status = false;
    //普通折扣
//    private DiscountTypeAndOrderPay.DatasBean discountBean;

    public BillOrderMoney() {
    }

    public BillOrderMoney(String title, double money, int textSize, int textColor, int bgColor) {
        this.title = title;
        this.money = money;
        this.textSize = textSize;
        this.textColor = textColor;
        this.bgColor = bgColor;
    }

    public BillOrderMoney(String title, double money) {
        this.title = title;
        this.money = money;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public double getMoney() {
        return money;
    }

    public void setMoney(double money) {
        this.money = money;
    }

    public int getTextSize() {
        return textSize;
    }

    public void setTextSize(int textSize) {
        this.textSize = textSize;
    }

    public int getTextColor() {
        return textColor;
    }

    public void setTextColor(int textColor) {
        this.textColor = textColor;
    }

    public int getBgColor() {
        return bgColor;
    }

    public void setBgColor(int bgColor) {
        this.bgColor = bgColor;
    }

    public int getPayId() {
        return payId;
    }

    public void setPayId(int payId) {
        this.payId = payId;
    }

    public boolean isStatus() {
        return status;
    }

    public void setStatus(boolean status) {
        this.status = status;
    }

//    public DiscountTypeAndOrderPay.DatasBean getDiscountBean() {
//        return discountBean;
//    }
//
//    public void setDiscountBean(DiscountTypeAndOrderPay.DatasBean discountBean) {
//        this.discountBean = discountBean;
//    }
}


